using System;

namespace CellarDoor.Gui.Elements
{
    public class UiButton : UiElement
    {
        /// <summary>
        /// Creates a button element
        /// </summary>
        public UiButton()
            : base()
        {
            Initialize();
        }

        /// <summary>
        /// Creates a button element
        /// </summary>
        public UiButton(UiElement parent)
            : base(parent)
        {
            Initialize();
        }

        private void Initialize()
        {
            Style = new Layout.UiVisualStyleWithState(this);
            Style.ElementName = "Button";
        }
    }
}
