﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using CellarDoor.Gui.Controller;

namespace CellarDoor.Gui.Elements
{
    public class UiPanel : UiElement
    {
        /// <summary>
        /// Creates a new panel element
        /// </summary>
        /// <param name="manager"></param>
        public UiPanel()
            : base()
        {
            Initialize();
        }

        /// <summary>
        /// Creates a new panel element
        /// </summary>
        /// <param name="parent"></param>
        public UiPanel(UiElement parent)
            : base(parent)
        {
            Initialize();
        }

        private void Initialize()
        {
            ElementName = "Panel";
        }
    }
}
