﻿using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using CellarDoor.Gui;

namespace CellarDoor.Gui.Theming
{
    [System.Diagnostics.DebuggerDisplay("Name = {Name}; Resolution = {Resolution};")]
    public class UiThemeFont : INamedWithResolution
    {
        public string Name { get; private set; }
        public SpriteFont Font { get; private set; }
        public int Resolution { get; private set; }

        public UiThemeFont(string name, SpriteFont font, int resolution)
        {
            Name = name;
            Font = font;
            Resolution = resolution;
        }
    }
}
