﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CellarDoor.Gui
{
    public class UiException : Exception
    {
         public UiException()
            : base()
        {
        }

        public UiException(string message)
            : base(message)
        {
        }

        public UiException(string message, params object[] args)
            : base(String.Format(message, args))
        {
        }

        public UiException(Exception innerException, string message, params object[] args)
            : base(String.Format(message, args), innerException)
        {
        }
    }
}
