﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CellarDoor.Gui.Elements;

namespace CellarDoor.Gui.Controller
{
    public abstract class UiController
    {
        public UiElement Target { get; protected set; }

        public UiController(UiElement target)
        {
            if (target == null)
            {
                throw new ArgumentNullException("target");
            }

            this.Target = target;
        }

        public abstract void Update(float dt);
    }
}
