using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace CellarDoor.Gui.Elements
{
    /// <summary>
    /// Simple label element
    /// </summary>
    public class UiLabel : UiElement
    {
        /// <summary>
        /// Creates a Label element
        /// </summary>
        public UiLabel(UiElement parent)
            : base(parent)
        {
            Initialize();
        }

        /// <summary>
        /// Creates a Label element
        /// </summary>
        public UiLabel()
            : base()
        {
            Initialize();
        }

        private void Initialize()
        {
            ElementName = null;
            Text = "label";
        }

    }
}
