﻿using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using CellarDoor.Gui;

namespace CellarDoor.Gui.Theming
{
    [System.Diagnostics.DebuggerDisplay("Name = {Name}; Rectangle = {Rectangle}; Resolution = {Resolution};")]
    public class UiThemeSprite : INamedWithResolution
    {
        public string Name { get; set; }
        public int Resolution { get; set; }
        public UiRectangle Rectangle { get; set; }
        public Texture2D Texture { get; set; }

        public UiThemeSprite()
        {
        }

        public UiThemeSprite(string name, UiRectangle rectangle, Texture2D texture)
        {
            this.Name = name;
            this.Rectangle = rectangle;
            this.Texture = texture;
        }

        public UiThemeSprite(string name, UiRectangle rectangle, Texture2D texture, int resolution)
        {
            this.Name = name;
            this.Rectangle = rectangle;
            this.Texture = texture;
            this.Resolution = resolution;
        }
    }
}
