﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace CellarDoor.Gui.Theming
{
    public struct UiThemeStyle
    {
        public Point Location;
        public Point Size;
        public UiPadding Padding;
        public UiPadding Margin;
        public UiDockStyles Dock;
        public UiAlignStyle Align;
        public string Text;
        public string FontName;
        public UiAlignStyle TextAlign;
        public Point TextLocation;
        public Color TextColor;
        public float Opacity;
        public UiScaleAxis LocationScaleAxis;
        public UiScaleAxis SizeScaleAxis;
        public UiPadding ShadowExtent;
        public bool ShadowEnable;
        public float ShadowOpacity;
 
        public bool Clickable;
        public bool Enabled;
        public bool Visible;
        public bool Dragable;
        public bool DragFromCenter;
        public bool DragAlongX;
        public bool DragAlongY;
        public bool DragLimitEnable;
    }
}
